<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [getPurchasedServerLimit](./bitburner.ns.getpurchasedserverlimit.md)

## NS.getPurchasedServerLimit() method

Returns the maximum number of servers you can purchase.

**Signature:**

```typescript
getPurchasedServerLimit(): number;
```
**Returns:**

number

Returns the maximum number of servers you can purchase.

## Remarks

RAM cost: 0.05 GB

